# osg::State::AttributeStack Struct Reference

List of all members.

## Public Member Functions

| AttributeStack ()

## Public Attributes

bool | changed
| apply an attribute if required, passing in attribute and appropriate attribute stack
const StateAttribute * | last_applied_attribute
ref_ptr< const StateAttribute > | global_default_attribute
AttributeVec | attributeVec

## Constructor & Destructor Documentation

osg::State::AttributeStack::AttributeStack | ( |  | ) | `[inline]`

## Member Data Documentation

AttributeVec osg::State::AttributeStack::attributeVec

bool osg::State::AttributeStack::changed

| apply an attribute if required, passing in attribute and appropriate attribute stack

ref_ptr<const StateAttribute> osg::State::AttributeStack::global_default_attribute

const StateAttribute* osg::State::AttributeStack::last_applied_attribute

The documentation for this struct was generated from the following file:

- State